Learn More
Concealer

Latest Version 1.3

Build 210, 8 MB

Availability

System Requirements:
macOS 10.8 or higher, High Sierra compatible.

Available in:
English and German.

Previous Versions

Version 1.2.1
For OS X 10.5.8—10.7 users (4.9 MB)
Download